/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/

#if !defined(AFX_ZEBRADLG_H__0BB6A788_3A88_428C_A852_E5F303F4F2A6__INCLUDED_)
#define AFX_ZEBRADLG_H__0BB6A788_3A88_428C_A852_E5F303F4F2A6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "mgModelessDialogue.h"
class MGEvalSurfZebraTool;

/////////////////////////////////////////////////////////////////////////////
// CZebraDlg ダイアログ

class CZebraDlg : public mgModelessDialogue{

// コンストラクション
public:

	//Dialogue id=IDD_ZEBRA_DLG
	CZebraDlg(MGEvalSurfZebraTool* tool);// 標準のコンストラクタ

// ダイアログ データ
	//{{AFX_DATA(CZebraDlg)
	CSliderCtrl	m_sldR;
	CSliderCtrl	m_sldG;
	CSliderCtrl	m_sldB;
	BYTE	m_edB;
	BYTE	m_edG;
	BYTE	m_edR;
	int		m_radio;
	float	m_dThick;
	//}}AFX_DATA

	COLORREF GetColor() const{ return RGB(m_edR, m_edG, m_edB);}
	BOOL IsVertical() const{
		return m_radio == 0 ? TRUE : FALSE;
	};
	float GetThickness() const{ return m_dThick; };
	BOOL IsModified() const{ return m_bModified;}
	void SetModifiedFlag(BOOL bModified){ m_bModified = bModified;}
	MGEvalSurfZebraTool* getEvalSurfZebraTool();

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CZebraDlg)
public:
	//virtual void OnCancel();
	virtual void OnOK(){ UpdateView(); };
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CZebraDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnKillfocusEditR();
	afx_msg void OnKillfocusEditG();
	afx_msg void OnKillfocusEditB();
	afx_msg void OnUpdateEdit();
	afx_msg void OnZebraRadio();
	//}}AFX_MSG

	virtual void UpdateView();

private:
	BOOL m_bModified;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_ZEBRADLG_H__0BB6A788_3A88_428C_A852_E5F303F4F2A6__INCLUDED_)
